textures/jwcustom/lavahell_nolight
{
        // JWitt 9/21/00 to fix some weird bug with floor over
        // lava this nolight version was made
	qer_editorimage textures/liquids/lavahell.tga
	q3map_globaltexture
	surfaceparm trans
	//surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 0
	cull disable

	tesssize 128
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1

	{
		map textures/liquids/lavahell.tga
		tcMod turb 0 .2 0 .1
	}

//	END
}


textures/jwcustom/banner
{
        //JWitt Shader used for banner in main room
        // modified from RA shader on RA3MAP7
	qer_editorimage textures/jwcustom/khead.tga
	q3map_lightimage textures/jwcustom/khead.tga
	q3map_surfacelight 100

	{
		animMap .15 textures/jwcustom/khead.tga textures/jwcustom/screen3.tga textures/jwcustom/home.tga
		rgbGen wave sawtooth 0 1 0 .15

	}

	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
		rgbGen wave inversesawtooth 0 1 0 .15
		tcmod scroll 5 .25
	}


	{
		map textures/base_wall/comp3text.tga
		blendfunc add
		rgbGen identity
		tcmod scroll 2 2
	}

	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
		rgbGen wave sin .25 0 0 0
		blendfunc add
	}
}


textures/jwcustom/glass_jw1
{
        // JWitt 9/21/00   more clear than glass01
	qer_editorimage textures/base_wall/shiny3.tga
        surfaceparm trans
	cull none
	qer_trans 	0.4

        {
		map textures/effects/tinfx3.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}

}

textures/jwcustom/bluelight_jw
{
	qer_editorimage textures/base_light/ceil1_30.tga
	surfaceparm nomarks
	q3map_surfacelight 250
	// Square rich blue light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_30.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_30.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}


textures/jwcustom/bluelight2_jw
{
	qer_editorimage textures/base_light/ceil1_30.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	// Square rich blue light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_30.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_30.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}





// These I snagged from a tutorial for possible future use
//	Blue, bright glass.  Light swirl pattern to it.

textures/jwcustom/blueglass
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided
	{
		map textures/jwcustom/blueglass.tga
		tcGen environment
		tcMod turb 0 0.01 0 0.01
		tcmod scroll .0 .0
		blendfunc GL_ONE GL_ONE
                }
}

//	Foggy, stained glass with a cool chrome like finish when you walk by.

textures/jwcustom/darkglass
{
	qer_trans .5
        surfaceparm trans
	surfaceparm solid

        cull disable
        {
        	map textures/effects/tinfx.tga
                tcgen environment
                blendfunc gl_one gl_one
                rgbGen identity
        }
        {
        	map $lightmap
                blendFunc gl_dst_color gl_zero
                rgbgen identity
        }
}

// 	Plain glass.

textures/jwcustom/plainglass
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided
	{
		map textures/jwcustom/plainglass.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
        }
}